# fourdst::libcomposition: src/composition/lib/composition.cpp File Reference

Loading...
Searching...
No Matches
composition.cpp File Reference
`#include "quill/LogMacros.h"`
`#include <stdexcept>`
`#include <unordered_map>`
`#include <vector>`
`#include <array>`
`#include <ranges>`
`#include <algorithm>`
`#include <utility>`
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/composition/species.h"`
`#include "fourdst/composition/composition.h"`
`#include <numeric>`
`#include "fourdst/composition/exceptions/exceptions_composition.h"`

Go to the source code of this file.

## Namespaces

namespace | fourdst
namespace | fourdst::composition

## Functions

std::ostream & | fourdst::composition::operator<< (std::ostream &os, const GlobalComposition &comp)
std::ostream & | fourdst::composition::operator<< (std::ostream &os, const CompositionEntry &entry)
std::ostream & | fourdst::composition::operator<< (std::ostream &os, const Composition &composition)